Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000625Endian FirewallUncategorizedpublic2008-03-21 04:292011-02-08 18:07
Reporterdominian 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-beta3 
Target VersionfutureFixed in Version2.2 
Summary0000625: Option to change https port in GUI configuration
DescriptionI've been using Endian for a few months now and I love it.

However, I use Vonage for voip. I was trying to use the siproxd for this and well, it for some reason is not working.. no biggy though.. I'll wait for next release and test then.

The issue is that I have to forward a few ports inbound 10000-20000 to the inside adapter to make sure the vonage adapter can receive phone calls directly.

The catch is.. the default port of 10443 falls into that category. There's no way to change this in the web GUI so, I had to manually edit the files to get this port changed. It would be a nice feature to see in the upcoming release to be able to do this.

Right now I'm using 2.1.2.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001101)
Jacob (reporter)
2008-04-30 14:26

hi

can u tell us what files you manually changed i need to change the 10443 port or be able to enable or disable the web access to EFW any one can tell me how

thanks
(0001102)
dominian (reporter)
2008-04-30 14:51

I wish I could tell you. I didn't document all of the changes I had to make.. there were quite a few. I just did a grep 10443 * where the HTML files for the GUI interface were kept.. went through everything I could find until everything started working the way I wanted.

If after 2.2 is released and I have to go through the procedure again, I'll be sure to note the files I had to change.
(0005639)
dominian (reporter)
2011-02-08 03:48

Just a side note, this is no longer an issue with the nf_conntrack_sip modules in place.
(0005641)
luca-endian (developer)
2011-02-08 17:31

Actually sip proxy is an old module needed for 2.1 now it's not required
any more.

In fact you can get sip working through Endian since the release 2.2
where the stateful firewall has been introduced.

So you can keep (and maybe it's better) the sip proxy off.

The important thing is that you use port 5060 for the external sip
server. That because the connection tracking system will monitor that
port only.

Pay attention because some providers will force to use a different port
after an initial handshake.

- Issue History
Date Modified Username Field Change
2008-03-21 04:29 dominian New Issue
2008-03-27 17:45 peter-endian Status new => acknowledged
2008-03-27 17:45 peter-endian Target Version => 2.3
2008-04-30 14:26 Jacob Note Added: 0001101
2008-04-30 14:51 dominian Note Added: 0001102
2008-09-10 18:03 chris-endian Target Version 2.3 => future
2011-02-08 03:48 dominian Note Added: 0005639
2011-02-08 17:31 luca-endian Note Added: 0005641
2011-02-08 18:07 lorenzo-endian Status acknowledged => closed
2011-02-08 18:07 lorenzo-endian Resolution open => fixed
2011-02-08 18:07 lorenzo-endian Fixed in Version => 2.2

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker